%define name basenji
%define version 0.8.0
%define release %mkrel 1

Summary:   A portable volume indexing tool
Name:      %{name}
Version:   %{version}
Release:   %{release}
Group:     File tools
License:   GPLv3
URL:       http://www.launchpad.net/basenji/
Source0:   http://www.launchpad.net/basenji/%{name}-%{version}.tar.xz
Source1:   basenji.svg
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils 
BuildRequires: gnome-sharp2-devel
BuildRequires: pkgconfig 
BuildRequires: gnome-sharp2
BuildRequires: mono-data-sqlite
BuildRequires: mono-data
BuildRequires: ndesk-dbus-glib
BuildRequires: ndesk-dbus
BuildRequires: gtk-sharp2
BuildRequires: gio-sharp-devel
BuildRequires: mono
BuildRequires: glib-sharp2 
Requires: libmono2.0_1
Requires: libmono0
Requires: gio-sharp
Obsoletes: 		%name < %version
Requires:		glibc >= 2.12.1
Requires:		libstdc++6 >= 4.5.2


%description
Basenji is a volume indexing tool designed for easy and fast indexing
of volume collections. It currently supports indexing of removable media
such as CDs and USB sticks and stores them as volume objects in a database.
After being stored in this database, volumes can be browsed and searched trough
for specific files very quickly.

%prep
%setup -q 


%build
./configure --prefix=/usr

%make

%install
rm -rf %{buildroot}
%makeinstall_std


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Basenji
Comment=A portable volume indexing tool
Exec=%{name}
Terminal=false
Icon=%{name}
Type=Application
Categories=GTK;GNOME;Utility;X-MandrivaLinux-System-Archiving-Other
EOF
#icon fix
mkdir -p  $RPM_BUILD_ROOT%_datadir/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_datadir/pixmaps/%{name}.png
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_libdir/%{name}/data

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/basenji

%changelog
* Wed May 18 2011 Texstar <texstar at gmail.com> 0.8.0-1pclos2011
- 0.8.0

* Fri Dec 11 2009 slick50 <lxgator@gmail.com> 0.4.1-1pclos2010
- initial pkg
